/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#ifndef _ICMP_H
 #define _ICMP_H

//Prototype
extern void ICMP_Reply (char *,int);

//Aufbau einer ICMP Nachricht
//	
//8 BIT Typ	|8 BIT Code	|16 BIT Prfsumme	
//Je nach Typ			|Nachricht unterschiedlich
//Testdaten
//
//8 BIT Typ = 0 Echo Reply oder 8 Echo request	

#define ICMP_OFFSET				0x22

//ICMP Header
struct ICMP_Header {
		unsigned char 	ICMP_Type;		//8 bit typ identifiziert Aufgabe der Nachricht 
										//0 = Echo Reply 8 = Echo Request
		unsigned char 	ICMP_Code;		//8 Bit Code enthlt Detailangaben zu bestimmten Typen
		unsigned int 	ICMP_Cksum;		//16 Bit Prfsumme enthlt die CRC Prfsumme
		unsigned char 	ICMP_Id;		//1 byte Identifizierung
		unsigned int 	ICMP_SeqNum;	//Sequenznummer
};
#endif // #define _ICMP_H


