/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#include "main.h"
#include <webpage.h>


//############################################################################
//
void httpd (char* buffer,int *bufferlen)
//############################################################################
{	
 unsigned int tcpdata;
//Errechnet startpunkt der Daten im Tcp buffer
//IP Headerl�ge + TCP Headerl�ge + Ethernetframe
 tcpdata = ((buffer[IP_VERS_LEN] & 0x0F) << 2) + ((buffer[TCP_HDRFLAGS] & 0xF0) >>2) + 14;

	//Verwaltung Stackpointer

	unsigned char a;//Stack Speichplatz Default (0..10)
	if (TCP_Stack (buffer,bufferlen,&a)==1)
		{
		return;//keine Daten fr Anwendung
		}

	tcp_socket= &tcpsockets[a]; //Pointer auf tcpsockets[a] holen
	
	//�erprft HTTP Header 
	if ((buffer[TCP_HDRFLAGS+1]&PSH_FLAG) > 0 && tcp_socket->Status == TCP_SOCKET_OPEN1)
		{
			
		//Pointerold auf INDEX.HTM
		pointerold = Page1;

		//File_Name entspricht 8.3 & Endmakierung
		unsigned char File_Name[13];
		
		//�erprft Header nach "GET /File_Name HTTP....."
		if ( memcmp(&buffer[tcpdata],"GET /",5) == 0) 
			{
			char *tmppointer = &buffer[tcpdata + 5];
			unsigned char counter = 0;
			//Der Header wird durchsucht beginnend bei GET /
			//bis zum n�hsten Space Zeichen
			while ((* tmppointer != 0x20)&&(counter<12))
				{
				File_Name[counter] = *tmppointer++;
				counter++;
				}
				//Endmakierung setzen
				File_Name[counter] = '\0';
			
			//Enth�t der Header keinen File Namen ist dieser Index.htm
			if (File_Name[0] == '\0') 
				{
				memcpy(File_Name,"index.htm\0",10);
				}
				
			
			
			#if USE_MMC
				//Durchsucht Root Verzeichnis nach File Namen
				unsigned char Dir_Attrib;

				//Lade Cluster fr das File welches in File_Name steht 
				tcp_socket->Cluster = 0; //suche im Root Directory
				if (Search_File(File_Name,&tcp_socket->Cluster,
										 &tcp_socket->File_Size,
										 &Dir_Attrib,
										 &buffer[tcpdata]) == 1)
					{
					tcp_socket->File_Block_Counter = 0;
					}
				else
					{
					//wurde das File nicht gefunden wird
					//Seite aus Flashspeicher angezeigt
					tcp_socket->Cluster = 0;
					}
			#endif //USE_MMC
			}

#if USE_MCA25_CAM
		if (memcmp(File_Name,"cam",3) == 0){
			//cam picture requestet			
			if (mca25_cam_busy_for_socket == MCA25_NOT_BUSY){ 
				//new image -> status = 0
				mca25_cam_status = MCA25_FIRST_DATA;
				//cam is reserved für socket a
				mca25_cam_busy_for_socket = a;
			}else	if (mca25_cam_busy_for_socket == a){
				//ooooops, cam pic tranfer has been canceled
				//we need to reset the camera...
				mca25_cam_status = MCA25_SKIP_PICTURE;
				mca25_cam_busy_for_socket = a;
			}else if (mca25_cam_busy_for_socket == MCA25_STILL_BUSY){
				//same as above but there was another request
				//before -> skip picture now
				mca25_cam_status = MCA25_SKIP_PICTURE;
				mca25_cam_busy_for_socket = a;
			}else if(mca25_cam_busy_for_socket == MCA25_BUSY_ABORTED){
				//same as #1 but transfer has been interrupted by mainloop
				mca25_cam_busy_for_socket = a;
				mca25_cam_status = MCA25_SKIP_PICTURE;				
			}else{
				//cam is busy -> show busy jpg
				pointerold = CAM_BUSY_JPG;
			}
		}else{
			//cam picture _NOT_ requested !
			if (mca25_cam_busy_for_socket == a){
				//if there was an picture request before
				//which was interrupted, we need to 
				//skip the picture later
				mca25_cam_status = MCA25_SKIP_PICTURE;
				mca25_cam_busy_for_socket = MCA25_STILL_BUSY;
			}
		}
#endif 

#if USE_SERVO
		if (memcmp(File_Name,"cam?v=",6) == 0){
			unsigned char val = (unsigned char)atoi(File_Name+6);
			servo_prepare_pos(val);
		}
#endif

		//Speichert Sequenzcounter und Aknowledgecounter
		tcp_store(buffer);	
		//Setzen des Ack Flags und PSH Flags	
		buffer[TCP_HDRFLAGS+1] = ACK_FLAG | PSH_FLAG;
		//erzeugt HTTP OK Packet
		
#if USE_MCA25_CAM
		if ( memcmp(File_Name,"cam",3) == 0)
			tcp_add_data (HTTP_OK2,buffer,bufferlen);
		else if ( memcmp(File_Name,"busy.jpg",8) == 0)
			tcp_add_data (HTTP_OK2,buffer,bufferlen);
		else
#endif
			tcp_add_data (HTTP_OK1,buffer,bufferlen);	
			
		//Erzeugt ein TCP Packet 
		tcp_make(buffer);			
		//Sendet das erzeugte TCP Packet 
		Write_Ethernet_Frame (buffer,*bufferlen);
		//(Ethernet Farne war aber voll) Weiters Frame mu�gesendet werden!
		tcp_socket->Status = TCP_SOCKET_OPEN2;
		tcp_socket->Pointer = pointerold;

		return;
		}
	
	//Senden der Webseite bzw. Daten war noch nicht Fertig (Ethernet Frame war aber voll)	
	if (tcp_socket->Status == TCP_SOCKET_OPEN2) 
		{
			unsigned char Buffer_Full = 0;
			//Setzen des Ack Flags und PSH Flags	
			buffer[TCP_HDRFLAGS+1] = ACK_FLAG | PSH_FLAG;
			//Speichert Sequenzcounter und Aknowledgecounter
			tcp_store(buffer);		
			//erzeugt Seiten Packet
			
			#if USE_MMC
				if(tcp_socket->Cluster != 0)
					{
					Read_File (tcp_socket->Cluster,&buffer[tcpdata],tcp_socket->File_Block_Counter);
					tcp_socket->File_Block_Counter++;
					if (tcp_socket->File_Size > (unsigned long)512)
						{
						Buffer_Full = 1; //es wurden noch nicht alle Daten gesendet
						(unsigned long) tcp_socket->File_Size = (unsigned long) tcp_socket->File_Size - 512;
						TCP_New_Packtlen (buffer,bufferlen,tcpdata + 512);
						}
						else
						{
						Buffer_Full = 0; //es wurden alle Daten gesendet
						TCP_New_Packtlen (buffer,bufferlen,tcpdata + tcp_socket->File_Size);
						}
					goto endmakepacket;
					}
			#endif //USE_MMC

#if USE_MCA25_CAM
			if ( mca25_cam_busy_for_socket == a ){
				if (mca25_copy_image_data_to_tcp_buffer(buffer, bufferlen) == 1){
					//more packets:
					Buffer_Full = 1;
				}else{
					//last packet
					Buffer_Full = 0;
					mca25_cam_busy_for_socket = MCA25_NOT_BUSY;
				}
				goto endmakepacket;
			}
#endif

			pointerold = tcp_socket->Pointer;
			Buffer_Full = tcp_add_data (pointerold,buffer,bufferlen);
			tcp_socket->Pointer = pointerold;
			
			endmakepacket:
			//Erzeugt ein TCP Packet 
			tcp_make(buffer);			
			//Sendet das erzeugte TCP Packet 
			Write_Ethernet_Frame (buffer,*bufferlen);	
			if (Buffer_Full == 0)
				{
				#if USE_MMC
				tcp_socket->Cluster = 0;
				#endif //USE_MMC
				tcp_socket->Status = TCP_SOCKET_CLOSE;
				}
			return;		
		}
return;
}

