/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/
#include "main.h"
#include "webpage.h"

PROGMEM char HTTP_OK1[] = {
"HTTP/1.0 200 Document follows\r\n"
"Server: AVRipcam\r\n" 
//"Connection: Keep-Alive\r\n" 
"Content-Type: text/html\r\n"
"\r\n"
"%END"
};

PROGMEM char HTTP_OK2[] = {
"HTTP/1.0 200 200 Document follows\r\n"
"Server: AVRipcam\r\n" 
"Content-Type: image/jpg\r\n"
"\r\n"
"%END"
};

PROGMEM char HTTP_OK3[] = {
"HTTP/1.0 200 200 Document follows\r\n"
"Server: AVRipcam\r\n" 
"Content-Type: image/x-icon\r\n"
"\r\n"
"%END"
};


PROGMEM char Page1[] = {
"<head>"
"<style type=\"text/css\">"
"div{width: 660px;border: 1px solid black;background: #e0e0e0;padding: 2px;}"
"#t{font-size: 18px; border-bottom: 0; margin-top: 8px;}"
"#c{width: 660px;border: 1px solid black;background: #e0e0e0; padding: 2px;"
"text-align: center;height: 480px;border-top: 0;border-bottom: 0;}"
"#d{border: 1px solid black;}"
"#f{font-size: 14px;border-top: 0; text-align: right; padding-bottom: 5px;}"
"#r{ background: #c0c0c0; border: 1px solid black; padding-left: 10px; padding-right: 10px;" "text-decoration: none; margin-right: 10px; }"
"#r:hover{ background: #707070;}"
"#w{visibility: visible; border: 1px solid white; position: absolute; background: #000000; color: #ffffff; top:200px; left:430px; width:150px; height:50px; z-index:1; }"
"</style>"
"<script language=\"Javascript\" type=\"text/javascript\">"
"function wait(i){"
"if (document.getElementById) "
"document.getElementById(\"w\").style.visibility = (i==1?\"visible\":\"hidden\"); "
"}\n"
"function cam(){"
  "wait(1);"
	"if (document.getElementById) "
	"document.getElementById(\"d\").src = \"/cam?t=\"+Math.floor(100+Math.random()*899); "
	"setTimeout(\"wait(0);\",9000);"
"}\n"
"function cam2(val){"
	"wait(1);"
	"if (document.getElementById) "
	"document.getElementById(\"d\").src = \"/cam?v=\"+val+\"&t=\"+Math.floor(100+Math.random()*899); "
	"setTimeout(\"wait(0);\",9500);"
"}\n"
"</script>"
"</head>"
"<body bgcolor=\"#336699\" vlink=\"#000000\" alink=\"#000000\" link=\"#000000\" onLoad=\"wait(0);\">"
"<center>"
"<div id=\"t\">AVRipcam</div>"
"<div id=\"c\">"
"<div id=\"w\"><br>bitte warten...</div>"
"<img id=\"d\" name=\"cam\" src=\"cam.jpg\" height=\"480\" width=\"640\" alt=\"loading...\"></div>"
"<div id=\"f\">"
#if USE_SERVO
//"<input name=\"v\" value=\"%SER\" type=\"text\" length=\"3\" width=\"30\" onChange=\"javascript:cam2(this.value);\">"
"servo pos:"
"<select name=\"v\" onchange=\"javascript:cam2(this.value);\">"
"<option value=0>0</option>"
"<option value=25>25</option>"
"<option value=50>50</option>"
"<option value=75>75</option>"
"<option value=100>100</option>"
"<option value=125>125</option>"
"<option value=150>150</option>"
"<option value=175>175</option>"
"<option value=200>200</option>"
"<option value=225>225</option>"
"<option value=250>250</option>"
"</select>"
#endif
"<a id=\"r\" href=\"javascript:cam();\">reload...</a>"
#if USE_SERVO
//"</form>"
#endif
"</div>"
//please do not remove this link: thnx
"mehr &uuml;ber die <a href=\"http://avr.auctionant.de/avr-ip-webcam/\">avr ip webcam</a>"
"</center></body></html>"
"%END" //%END = Ende des Files
};


PROGMEM char CAM_BUSY_JPG[] = {
0xFF, 0xD8, 0xFF, 0xE0, 0x00, 0x10, 0x4A, 0x46, 0x49, 0x46, 0x00, 0x01, 0x01, 0x01, 0x00, 0x48, 0x00, 0x48, 0x00, 0x00, 0xFF, 0xDB, 0x00, 0x43, 
0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x0B, 0x08, 0x00, 0x60, 
0x00, 0x80, 0x01, 0x01, 0x22, 0x00, 0xFF, 0xC4, 0x00, 0x17, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x01, 0x02, 0x03, 0xFF, 0xC4, 0x00, 0x2C, 0x10, 0x01, 0x00, 0x02, 0x00, 0x04, 0x04, 0x05, 0x04, 0x03, 0x01, 0x01, 0x00,
0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x11, 0x02, 0x21, 0x31, 0x41, 0x12, 0x51, 0x71, 0xD1, 0x22, 0x61, 0x81, 0xC1, 0xF0, 0x32, 0x42, 0xA1, 0xB1, 
0x82, 0x91, 0xE1, 0x43, 0x72, 0xFF, 0xDA, 0x00, 0x08, 0x01, 0x01, 0x00, 0x00, 0x3F, 0x00, 0xE7, 0x11, 0x11, 0x11, 0x12, 0xD3, 0x57, 0xB4, 0x91, 
0x11, 0x11, 0x12, 0x85, 0xF9, 0x06, 0xAC, 0xD5, 0x61, 0x72, 0x16, 0xFC, 0xF7, 0xF9, 0xF0, 0x90, 0x0A, 0xB7, 0x4B, 0xAC, 0xB5, 0x8A, 0x11, 0x4B, 
0xCB, 0x51, 0xFF, 0x00, 0x20, 0x0A, 0xB7, 0x67, 0x3E, 0x9D, 0xEE, 0x5E, 0x11, 0x2C, 0x50, 0xDE, 0xE4, 0xA1, 0x14, 0xBC, 0xB5, 0x1F, 0xF2, 0x66, 
0x74, 0xCB, 0x80, 0xBD, 0x2F, 0xBC, 0xCA, 0x15, 0x66, 0x9B, 0x8E, 0xA7, 0xCF, 0x9E, 0x4A, 0xF0, 0x8E, 0xEB, 0xDE, 0x2B, 0xC2, 0xBB, 0x8F, 0x68, 
0xA0, 0x05, 0xBC, 0xF9, 0x7F, 0xB0, 0x80, 0x99, 0xD8, 0xFF, 0x00, 0x67, 0xCF, 0x84, 0x98, 0x8A, 0x6A, 0x31, 0x01, 0x96, 0xF5, 0x9F, 0x59, 0xAC, 
0x1A, 0x62, 0x37, 0x4E, 0xFD, 0xE6, 0x4C, 0x2A, 0xD4, 0xD0, 0x06, 0x1E, 0x2A, 0xBC, 0xFD, 0x0E, 0xF2, 0x99, 0xE1, 0xC4, 0xD0, 0x65, 0xB1, 0x57, 
0x93, 0x33, 0xF6, 0x7F, 0x2F, 0x69, 0x4F, 0xA1, 0xEB, 0xDA, 0x30, 0xE9, 0x8B, 0xA7, 0xB3, 0x31, 0x36, 0xFD, 0x07, 0x5E, 0xF2, 0x19, 0x61, 0xC4, 
0xF3, 0xA0, 0xF9, 0xF3, 0x49, 0x5F, 0xA0, 0xEB, 0xDE, 0x3E, 0xC7, 0xAF, 0x68, 0xB4, 0x0B, 0x04, 0xF3, 0xFD, 0x49, 0x88, 0x28, 0x42, 0xAF, 0x6F, 
0x9F, 0x34, 0xCA, 0x68, 0xF1, 0x70, 0xBC, 0xB5, 0xF4, 0xCC, 0xD7, 0xF3, 0xD6, 0x61, 0x6D, 0x59, 0x25, 0x71, 0x2E, 0xF0, 0x29, 0xA3, 0x1C, 0x4E, 
0x79, 0xEA, 0x54, 0x97, 0x95, 0x6D, 0x77, 0x2D, 0xB5, 0x5B, 0x40, 0xA5, 0xD6, 0xFA, 0xC9, 0x29, 0x89, 0x32, 0x18, 0x55, 0xD6, 0x05, 0x34, 0x63, 
0x89, 0x72, 0xBD, 0x60, 0xC4, 0x9A, 0x30, 0xAA, 0xE6, 0xCD, 0x3E, 0x1C, 0x35, 0xBB, 0xB5, 0xE8, 0x7C, 0xCA, 0x62, 0x26, 0x83, 0xC2, 0xBC, 0x9E, 
0xDD, 0xE6, 0x62, 0x22, 0x22, 0x22, 0x22, 0x5C, 0xA9, 0xCF, 0x3D, 0x89, 0x22, 0x22, 0x74, 0x17, 0x81, 0x79, 0x34, 0x7E, 0x24, 0x1A, 0xC2, 0xBB, 
0xDE, 0x5D, 0x6B, 0xB5, 0xC6, 0x16, 0xD4, 0x77, 0x3F, 0x5F, 0x2E, 0x4C, 0x39, 0x5B, 0xC8, 0xFC, 0xB3, 0x33, 0x46, 0x99, 0x19, 0xDE, 0xB5, 0xA1, 
0xED, 0x35, 0x4B, 0x85, 0xE2, 0xDB, 0x31, 0xCB, 0xD7, 0x4E, 0x92, 0x1E, 0x1C, 0x37, 0xBA, 0xEB, 0xCB, 0x59, 0x46, 0xF0, 0xE2, 0xBD, 0x43, 0x5F, 
0xEE, 0x64, 0xD3, 0x23, 0x3B, 0xD6, 0xB4, 0x3D, 0xA6, 0xA9, 0x70, 0xBC, 0x5B, 0x66, 0x39, 0x7A, 0xE9, 0xD2, 0x43, 0xE8, 0x7A, 0xF6, 0x95, 0x68, 
0xC3, 0x5A, 0xF0, 0x99, 0xF9, 0x7C, 0xB9, 0x31, 0x67, 0x84, 0x77, 0xBD, 0x7F, 0xBE, 0xD3, 0x11, 0x36, 0x53, 0x85, 0x2C, 0x1B, 0xDF, 0xD3, 0xB4, 
0x9F, 0x6F, 0xF2, 0xF6, 0x99, 0x32, 0xCE, 0x6F, 0x12, 0x55, 0x1B, 0xBC, 0x5F, 0x3A, 0xEB, 0x31, 0x36, 0x53, 0x86, 0xAC, 0x1B, 0xCE, 0xF2, 0xBF, 
0x9E, 0xD0, 0x50, 0x62, 0x2C, 0xB4, 0xF4, 0xDF, 0x4F, 0x38, 0x11, 0xC3, 0xC2, 0xB4, 0x8E, 0x5C, 0xBD, 0x65, 0x00, 0xC3, 0x8B, 0x31, 0x6B, 0x3A, 
0xD3, 0x7A, 0x90, 0xA7, 0x0D, 0x58, 0x37, 0x9D, 0xE5, 0x7F, 0x3D, 0xA0, 0xA0, 0xC4, 0x59, 0x69, 0xE9, 0xBE, 0x9E, 0x70, 0x3E, 0x04, 0xDE, 0xFB, 
0x49, 0x8B, 0x6F, 0xFC, 0x92, 0xAF, 0x80, 0x37, 0xBE, 0xF3, 0x11, 0x11, 0x29, 0x5B, 0x90, 0xB6, 0xDC, 0x91, 0x12, 0x89, 0x54, 0x9B, 0xDD, 0x9A, 
0x92, 0xD8, 0x08, 0x5E, 0x7A, 0xAF, 0xEB, 0x29, 0x98, 0x88, 0x88, 0x88, 0x9B, 0x6D, 0xE1, 0x1A, 0xF2, 0xFC, 0x6B, 0x27, 0x0B, 0xCC, 0x33, 0xAC, 
0xDD, 0x7A, 0x48, 0x89, 0xAC, 0x93, 0xAB, 0xC5, 0x7E, 0x1D, 0x0E, 0x9E, 0xF3, 0x9A, 0xAE, 0xBA, 0xC9, 0xAE, 0x44, 0xD7, 0x0B, 0xCC, 0xBE, 0x57, 
0x9C, 0x80, 0xAD, 0x56, 0x72, 0xF0, 0xBC, 0xC7, 0xC8, 0x73, 0x90, 0x17, 0x49, 0x78, 0x5F, 0x26, 0xB5, 0xA6, 0x66, 0x22, 0x27, 0x47, 0xFE, 0x7E, 
0x9E, 0xD3, 0x18, 0xBE, 0xA7, 0xAF, 0xEB, 0x29, 0xAC, 0x7A, 0xFA, 0x7B, 0xB3, 0x25, 0xD9, 0x5A, 0xED, 0x0A, 0xDE, 0x7A, 0x9E, 0xD2, 0xE2, 0xDB, 
0x9D, 0x17, 0x20, 0xD2, 0x51, 0x7E, 0x53, 0x5E, 0x15, 0xC9, 0x45, 0xF9, 0xF3, 0x39, 0x70, 0x9F, 0x5D, 0xF2, 0xCF, 0x9E, 0xFF, 0x00, 0xB9, 0x07, 
0x08, 0x95, 0xC5, 0x7E, 0x92, 0x9F, 0x7B, 0xD7, 0xA9, 0xAC, 0xC1, 0x77, 0x96, 0xB2, 0x44, 0x44, 0xD7, 0x17, 0xD3, 0x97, 0xD3, 0xF9, 0xD3, 0xB4, 
0xCB, 0x9A, 0xBC, 0xD9, 0x71, 0x3C, 0x4D, 0xE9, 0x94, 0x93, 0x5C, 0x43, 0x9B, 0x84, 0xBE, 0xBE, 0xD2, 0x2A, 0xB6, 0xC0, 0xD3, 0x72, 0xF1, 0x1A, 
0xF0, 0x97, 0xCE, 0xF7, 0xE9, 0x20, 0xA3, 0x72, 0xF1, 0x06, 0x66, 0x1A, 0x79, 0xDD, 0xFE, 0x24, 0x14, 0x6E, 0x5E, 0x2A, 0xD0, 0x05, 0xDF, 0x59, 
0x98, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x9F, 0xFF, 0xD9,
'%','E','N','D'};



PROGMEM char Page2[] = {
0x00,'%','E','N','D'};

